﻿
#region Using Directives
using RSPhotography.DataAccess.HelperClasses;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Data.Entity;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
#endregion

namespace RSPhotography.DataAccess.DataAccessors
{
    /// <summary>
    /// Primary Data Access interface for Size entities
    /// </summary>
    public class SizeDataAccessor : DataAccessor<Size>
    {
        #region Constructors

        public SizeDataAccessor() : base () {}

        public SizeDataAccessor(BaseAccessor existing) : base(existing.DataContext) { }

        internal SizeDataAccessor(RSPhotographyEntities context) : base(context){}        

        #endregion

        #region Public Functions

        public Size MatchSize(int height, int width)
        {
            return (from a in DataContext.Sizes
                          where a.Width == width &&
                          a.Height == height
                          select a).FirstOrDefault();
        }       

        public Size GetCustom()
        {
            return (from a in DataContext.Sizes
                    where a.Description == "Custom"
                    select a).FirstOrDefault();
        }

        #endregion      
    }
}
