﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using RSPhotography.WebServices.UnitTests.ServiceReference;

namespace RSPhotography.WebServices.UnitTests
{
    [TestClass]
    public class Advanced
    {
        [TestMethod]
        public void EditAndRevertCatalog()
        {
            string original = String.Empty;

            using (CatalogServiceClient c = new CatalogServiceClient())
            {
                var existing = c.GetCatalogById(1);
                Assert.IsNotNull(existing);
                original = existing.Title;
                existing.Title = "Unit Test Value";
                existing.State = ObjectState.Modified;
                c.SaveCatalog(existing);
            }

            using (CatalogServiceClient c = new CatalogServiceClient())
            {
                var existing = c.GetCatalogById(1);
                Assert.IsNotNull(existing);
                Assert.IsTrue(existing.Title == "Unit Test Value");
                existing.Title = original;
                existing.State = ObjectState.Modified;
                c.SaveCatalog(existing);
            }
        }
    }
}
