﻿using RSPhotography.DataAccess;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Web;
using System.Text;

namespace RSPhotography.WebServices
{    
    [ServiceContract]
    public interface ICatalogService
    {

        [OperationContract]
        ReadOnlyCollection<Catalog> GetCatalogByLocation(Location value);

        [OperationContract]
        Catalog GetCatalogById(int Id);

        [OperationContract]
        Catalog GetCatalogByIdWithChildren(int Id);


        [OperationContract]
        void SaveCatalog(Catalog value);

        [OperationContract]
        List<Size> GetSizes(int count);

        [OperationContract]
        void InsertOrUpdateSize(List<Size> entities);

        [OperationContract]
        void InsertOrUpdateSizeEntity(Size entity);

        [OperationContract]
        Genre GetItemsByGenre(string title);

        [OperationContract]
        void UpdateGenre(Genre entity);

        [OperationContract]
        void UpdateGenres(params Genre[] entities);

        [OperationContract]
        List<Genre> GetAllGenres();

        [OperationContract]
        List<Genre> GetGenres(int count);
    }
}